Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPEnvelopeAxisImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.SOAPElementImpl
              org.apache.axis.message.SOAPElementAxisImpl
                  org.apache.axis.message.SOAPEnvelopeImpl
                      org.apache.axis.message.SOAPEnvelopeAxisImpl

All Implemented Interfaces:
  Cloneable, Element, Node, javax.xml.soap.Node, Serializable, javax.xml.soap.SOAPElement, javax.xml.soap.SOAPEnvelope

public class SOAPEnvelopeAxisImpl
extends SOAPEnvelopeImpl

Implementation of a SOAP Envelope

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.SOAPElementAxisImpl
`SOAPElementAxisImpl.QNameAttr`

Field Summary
`String` | `messageType`
`Vector` | `trailers`

Fields inherited from class org.apache.axis.message.SOAPElementAxisImpl
`_isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, message, name, namespaces, namespaceURI, prefix, qNameAttrs, recorder, soapPart, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`domNode, soapParent`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPEnvelopeAxisImpl()`
`SOAPEnvelopeAxisImpl(boolean registerPrefixes, SOAPConstants soapConstants)`
`SOAPEnvelopeAxisImpl(boolean registerPrefixes, SOAPConstants soapConstants, SchemaVersion schemaVersion)`
`SOAPEnvelopeAxisImpl(SOAPConstants soapConstants)`
`SOAPEnvelopeAxisImpl(SOAPConstants soapConstants, SchemaVersion schemaVersion)`

Method Summary
`javax.xml.soap.SOAPBody` | `addBody()` Add a soap body if one does not exist
`void` | `addBodyElement(SOAPBodyElementAxisImpl element)` Add a SOAP Body Element
`javax.xml.soap.SOAPHeader` | `addHeader()` Add a soap header if one does not exist
`void` | `addHeader(SOAPHeaderElementAxisImpl hdr)` Add a HeaderElement
`void` | `addTrailer(SOAPElementAxisImpl element)` Add an element to the trailer
`void` | `clearBody()` clear the elements in the soap body
`javax.xml.soap.Name` | `createName(String localName)` create a Name given the local part
`javax.xml.soap.Name` | `createName(String localName, String prefix, String uri)` Create a name given local part, prefix and uri
`javax.xml.soap.SOAPBody` | `getBody()` Get the soap body
`SOAPBodyElementAxisImpl` | `getBodyByName(String namespace, String localPart)` Get a body element given its name
`Vector` | `getBodyElements()` Get all the BodyElement's in the soap body
`SOAPBodyElementAxisImpl` | `getFirstBody()` Get the first BodyElement in the SOAP Body
`javax.xml.soap.SOAPHeader` | `getHeader()` Get the soap header
`SOAPHeaderElementAxisImpl` | `getHeaderByName(String namespace, String localPart)` Get a header by name (always respecting the currently in-scope actors list)
`SOAPHeaderElementAxisImpl` | `getHeaderByName(String namespace, String localPart, boolean accessAllHeaders)` Get a header by name, filtering for headers targeted at this engine depending on the accessAllHeaders parameter.
`Vector` | `getHeaders()` Get Headers
`Enumeration` | `getHeadersByName(String namespace, String localPart)` Get an enumeration of header elements given the namespace and localpart
`Enumeration` | `getHeadersByName(String namespace, String localPart, boolean accessAllHeaders)` Return an Enumeration of headers which match the given namespace and localPart.
`String` | `getMessageType()` Get the Message Type (REQUEST/RESPONSE)
`SchemaVersion` | `getSchemaVersion()` Get the schema version for this envelope
`SOAPConstants` | `getSOAPConstants()` Get the soap constants for this envelope
`Vector` | `getTrailers()` Return trailers
`boolean` | `isModified()`
`boolean` | `isProcessingRPCInvocation()`
`static SOAPEnvelopeAxisImpl` | `newSOAPEnvelope(InputStream input)`
`void` | `outputImpl(SerializationContext context)` Should make SOAPSerializationException?
`void` | `removeBody()` Remove the SOAP Body
`void` | `removeBodyElement(SOAPBodyElementAxisImpl element)` Remove a Body Element from the soap body
`Node` | `removeChild(Node oldChild)`
`void` | `removeHeader(SOAPHeaderElementAxisImpl hdr)` Remove a Header Element from SOAP Header
`void` | `removeHeaders()` Remove all headers
`void` | `removeTrailer(SOAPElementAxisImpl element)` Remove an element from the trailer
`void` | `setBody(SOAPBodyAxisImpl newBody)` Set the soap body
`void` | `setHeader(SOAPHeaderAxisImpl header)` Set the SOAP Header
`void` | `setMessageType(String messageType)` Set the Message Type (REQUEST/RESPONSE)
`void` | `setModified(boolean modified)`
`void` | `setProcessingRPCInvocation(boolean flag)`
`void` | `setSAAJEncodingCompliance(boolean comply)`
`void` | `setSchemaVersion(SchemaVersion schemaVersion)` Set the schema version for this envelope
`void` | `setSoapConstants(SOAPConstants soapConstants)` Set the soap constants for this envelope

Methods inherited from class org.apache.axis.message.SOAPEnvelopeImpl
`addTextNode`

Methods inherited from class org.apache.axis.message.SOAPElementAxisImpl
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, appendChild, cloneNode, clonning, detachAllChildren, detachNode, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAsStringFromInternal, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesEx, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildNodes, getChildren, getCompleteAttributes, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFirstChild, getFixupDeserializer, getHref, getID, getLastChild, getLocalName, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getNextSibling, getNodeType, getNodeValue, getObjectValue, getObjectValue, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPrefix, getPreviousSibling, getQName, getRealElement, getRecorder, getTagName, getType, getValueAsType, getValueAsType, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDirty, isImmutable, isRoot, isSupported, makeAttributesEditable, normalize, output, printFromInternal, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeContents, removeNamespaceDeclaration, replaceChild, setAllAttributes, setAllImmutable, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setImmutable, setName, setNamespaceURI, setNSMappings, setObjectValue, setOwnerDocument, setParentElement, setPrefix, setQName, setRecorder, setType`

Methods inherited from class org.apache.axis.message.NodeImpl
`getNodeName, getValue, hashCode, recycleNode, setNodeValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Field Detail

### trailers

    public Vector trailers

### messageType

    public String messageType

Constructor Detail

### SOAPEnvelopeAxisImpl

    public SOAPEnvelopeAxisImpl()

### SOAPEnvelopeAxisImpl

    public SOAPEnvelopeAxisImpl(SOAPConstants soapConstants)

### SOAPEnvelopeAxisImpl

    public SOAPEnvelopeAxisImpl(SOAPConstants soapConstants,
                                SchemaVersion schemaVersion)

### SOAPEnvelopeAxisImpl

    public SOAPEnvelopeAxisImpl(boolean registerPrefixes,
                                SOAPConstants soapConstants)

### SOAPEnvelopeAxisImpl

    public SOAPEnvelopeAxisImpl(boolean registerPrefixes,
                                SOAPConstants soapConstants,
                                SchemaVersion schemaVersion)

Method Detail

### newSOAPEnvelope

    public static SOAPEnvelopeAxisImpl newSOAPEnvelope(InputStream input)
                                                throws SAXException

  Throws:
    `SAXException`

### getMessageType

    public String getMessageType()

  Get the Message Type (REQUEST/RESPONSE)

  Returns:
    message type

### setMessageType

    public void setMessageType(String messageType)

  Set the Message Type (REQUEST/RESPONSE)

  Parameters:
    `messageType` -

### getBodyElements

    public Vector getBodyElements()
                           throws AxisFault

  Get all the BodyElement's in the soap body

  Returns:
    vector with body elements
  Throws:
    `AxisFault`

### getTrailers

    public Vector getTrailers()

  Return trailers

  Returns:

### getFirstBody

    public SOAPBodyElementAxisImpl getFirstBody()
                                         throws AxisFault

  Get the first BodyElement in the SOAP Body

  Returns:
    first Body Element
  Throws:
    `AxisFault`

### isModified

    public boolean isModified()

### setModified

    public void setModified(boolean modified)

### isProcessingRPCInvocation

    public boolean isProcessingRPCInvocation()

### setProcessingRPCInvocation

    public void setProcessingRPCInvocation(boolean flag)

### getHeaders

    public Vector getHeaders()
                      throws AxisFault

  Get Headers

  Returns:
    Vector containing Header's
  Throws:
    `AxisFault`

### addHeader

    public void addHeader(SOAPHeaderElementAxisImpl hdr)

  Add a HeaderElement

  Parameters:
    `hdr` -

### addBodyElement

    public void addBodyElement(SOAPBodyElementAxisImpl element)

  Add a SOAP Body Element

  Parameters:
    `element` -

### removeHeaders

    public void removeHeaders()

  Remove all headers

### setHeader

    public void setHeader(SOAPHeaderAxisImpl header)

  Set the SOAP Header

### removeHeader

    public void removeHeader(SOAPHeaderElementAxisImpl hdr)

  Remove a Header Element from SOAP Header

  Parameters:
    `hdr` -

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Overrides:
    `removeChild` in class `SOAPElementAxisImpl`
  Throws:
    `DOMException`

### removeBody

    public void removeBody()

  Remove the SOAP Body

### setBody

    public void setBody(SOAPBodyAxisImpl newBody)

  Set the soap body

  Parameters:
    `newBody` -

### removeBodyElement

    public void removeBodyElement(SOAPBodyElementAxisImpl element)

  Remove a Body Element from the soap body

  Parameters:
    `element` -

### removeTrailer

    public void removeTrailer(SOAPElementAxisImpl element)

  Remove an element from the trailer

  Parameters:
    `element` -

### clearBody

    public void clearBody()

  clear the elements in the soap body

### addTrailer

    public void addTrailer(SOAPElementAxisImpl element)

  Add an element to the trailer

  Parameters:
    `element` -

### getHeaderByName

    public SOAPHeaderElementAxisImpl getHeaderByName(String namespace,
                                                     String localPart)
                                              throws AxisFault

  Get a header by name (always respecting the currently in-scope actors list)

  Throws:
    `AxisFault`

### getHeaderByName

    public SOAPHeaderElementAxisImpl getHeaderByName(String namespace,
                                                     String localPart,
                                                     boolean accessAllHeaders)
                                              throws AxisFault

  Get a header by name, filtering for headers targeted at this engine depending on the accessAllHeaders parameter.

  Throws:
    `AxisFault`

### getBodyByName

    public SOAPBodyElementAxisImpl getBodyByName(String namespace,
                                                 String localPart)
                                          throws AxisFault

  Get a body element given its name

  Parameters:
    `namespace` -
    `localPart` -
  Returns:
  Throws:
    `AxisFault`

### getHeadersByName

    public Enumeration getHeadersByName(String namespace,
                                        String localPart)
                                 throws AxisFault

  Get an enumeration of header elements given the namespace and localpart

  Parameters:
    `namespace` -
    `localPart` -
  Returns:
  Throws:
    `AxisFault`

### getHeadersByName

    public Enumeration getHeadersByName(String namespace,
                                        String localPart,
                                        boolean accessAllHeaders)
                                 throws AxisFault

  Return an Enumeration of headers which match the given namespace and localPart. Depending on the value of the accessAllHeaders parameter, we will attempt to filter on the current engine's list of actors.

  !!! NOTE THAT RIGHT NOW WE ALWAYS ASSUME WE'RE THE "ULTIMATE DESTINATION" (i.e. we match on null actor). IF WE WANT TO FULLY SUPPORT INTERMEDIARIES WE'LL NEED TO FIX THIS.

  Throws:
    `AxisFault`

### outputImpl

    public void outputImpl(SerializationContext context)
                    throws Exception

  Should make SOAPSerializationException?

  Overrides:
    `outputImpl` in class `SOAPElementAxisImpl`
  Throws:
    `Exception`

### getSOAPConstants

    public SOAPConstants getSOAPConstants()

  Get the soap constants for this envelope

  Returns:

### setSoapConstants

    public void setSoapConstants(SOAPConstants soapConstants)

  Set the soap constants for this envelope

  Parameters:
    `soapConstants` -

### getSchemaVersion

    public SchemaVersion getSchemaVersion()

  Get the schema version for this envelope

  Returns:

### setSchemaVersion

    public void setSchemaVersion(SchemaVersion schemaVersion)

  Set the schema version for this envelope

  Parameters:
    `schemaVersion` -

### addBody

    public javax.xml.soap.SOAPBody addBody()
                                    throws javax.xml.soap.SOAPException

  Add a soap body if one does not exist

  Specified by:
    `addBody` in interface `javax.xml.soap.SOAPEnvelope`
  Overrides:
    `addBody` in class `SOAPEnvelopeImpl`
  Returns:
  Throws:
    `javax.xml.soap.SOAPException`

### addHeader

    public javax.xml.soap.SOAPHeader addHeader()
                                        throws javax.xml.soap.SOAPException

  Add a soap header if one does not exist

  Specified by:
    `addHeader` in interface `javax.xml.soap.SOAPEnvelope`
  Overrides:
    `addHeader` in class `SOAPEnvelopeImpl`
  Returns:
  Throws:
    `javax.xml.soap.SOAPException`

### createName

    public javax.xml.soap.Name createName(String localName)
                                   throws javax.xml.soap.SOAPException

  create a Name given the local part

  Specified by:
    `createName` in interface `javax.xml.soap.SOAPEnvelope`
  Overrides:
    `createName` in class `SOAPEnvelopeImpl`
  Parameters:
    `localName` -
  Returns:
  Throws:
    `javax.xml.soap.SOAPException`

### createName

    public javax.xml.soap.Name createName(String localName,
                                          String prefix,
                                          String uri)
                                   throws javax.xml.soap.SOAPException

  Create a name given local part, prefix and uri

  Specified by:
    `createName` in interface `javax.xml.soap.SOAPEnvelope`
  Overrides:
    `createName` in class `SOAPEnvelopeImpl`
  Parameters:
    `localName` -
    `prefix` -
    `uri` -
  Returns:
  Throws:
    `javax.xml.soap.SOAPException`

### getBody

    public javax.xml.soap.SOAPBody getBody()

  Get the soap body

  Specified by:
    `getBody` in interface `javax.xml.soap.SOAPEnvelope`
  Overrides:
    `getBody` in class `SOAPEnvelopeImpl`

### getHeader

    public javax.xml.soap.SOAPHeader getHeader()

  Get the soap header

  Specified by:
    `getHeader` in interface `javax.xml.soap.SOAPEnvelope`
  Overrides:
    `getHeader` in class `SOAPEnvelopeImpl`
  Returns:

### setSAAJEncodingCompliance

    public void setSAAJEncodingCompliance(boolean comply)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.